Rhino.DimensionText fails with Redraw Off

Rhino.EnableRedraw False
Rhino.AddDimension()
Rhino.DimensionText Rhino.FirstObject will not return a string.
image

Hi @Asterisk,

Can you provide a small, run-able sample that doesn’t work for you?

Thanks,

– Dale

Just run this script in the attached file. Note I turned off Rhino.Redraw right after the dim is plopped into comment so Rhino.DimensionText fails. It does here.

PD test.3dm (255.6 KB)
PD_BlankSizer.rvb (4.3 KB)

Thanks, I’ve logged the issue.

https://mcneel.myjetbrains.com/youtrack/issue/RH-52338

– Dale

How hard is it to fix in R6? I mean why would I even report it if I knew this wouldn’t be fixed in R6?..

Hi @Asterisk,

Sorry I missed this. I’ve back-ported the fix referenced above. Unfortunately SR16 went out this morning. This fix will appear on the SR17 RC next week.

– Dale

image

import rhinoscriptsyntax as rs

rs.EnableRedraw(False)
dim = rs.AddLinearDimension(rs.WorldXYPlane(), (0, 0, 0), (10, 0, 0), (0, 5, 0))
print "---\n" + rs.DimensionText(dim) + "\n---"
rs.EnableRedraw(True)
print "---\n" + rs.DimensionText(dim) + "\n---"

:sob:

We have 2 scripts that suffer from it… R5 was completely fine.

Hi @Asterisk,

I’ve logged the issue.

https://mcneel.myjetbrains.com/youtrack/issue/RH-58822

– Dale